com.tibco.ftl

## Interface TibProperties

-     public interface TibProperties

  Properties objects represent a set of configuration properties (name/value pairs).

  Programs pass properties objects to FTL object creation calls.

  Customers do not implement this interface.

  Each property name includes an indication of the required datatype for the value. For example, `EventQueue.PROPERTY_INT_DISCARD_POLICY` requires an integer value; `Realm.PROPERTY_STRING_USERNAME` requires a string value.

  Set Method Semantics:

  - If `name` is not yet in the properties object, this call adds the name and value pair.
  - If `name` is already in the properties object, this call changes its value.
  See Also:
    `FTL.createProperties`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroy the properties object.
    `boolean` | `exists(java.lang.String name)` Check whether a property exists.
    `boolean` | `getBoolean(java.lang.String name)` Get a boolean property.
    `double` | `getDouble(java.lang.String name)` Get a double integer property.
    `int` | `getInt(java.lang.String name)` Get an integer property.
    `long` | `getLong(java.lang.String name)` Get a long integer property.
    `Message` | `getMessage(java.lang.String name)` Get a Message property.
    `java.lang.String` | `getString(java.lang.String name)` Get a string property.
    `boolean` | `remove(java.lang.String name)` Remove the property `name` from properties.
    `void` | `set(java.lang.String name, boolean value)` Set a boolean property.
    `void` | `set(java.lang.String name, double value)` Set a double property.
    `void` | `set(java.lang.String name, int value)` Set an integer property.
    `void` | `set(java.lang.String name, long value)` Set a long integer property.
    `void` | `set(java.lang.String name, Message value)` Set a Message property.
    `void` | `set(java.lang.String name, java.lang.String value)` Set a string property.
    `void` | `setOAuth2TokenFetchHandler(OAuth2TokenFetchHandler handler)` set the oauth2 token fetch handler.

- - ### Method Detail

    - #### set

          void set(java.lang.String name,
                   boolean value)
            throws FTLException

      Set a boolean property.
      Parameters:
        `name` - The method sets this property.
        `value` - The method sets the property to this value.
      Throws:
        `FTLException`

    - #### set

          void set(java.lang.String name,
                   java.lang.String value)
            throws FTLException

      Set a string property.
      Parameters:
        `name` - The method sets this property.
        `value` - The method sets the property to this value.
      Throws:
        `FTLException`

    - #### set

          void set(java.lang.String name,
                   Message value)
            throws FTLException

      Set a Message property.
      Parameters:
        `name` - The method sets this property.
        `value` - The method sets the property to this value.
      Throws:
        `FTLException`

    - #### set

          void set(java.lang.String name,
                   int value)
            throws FTLException

      Set an integer property.
      Parameters:
        `name` - The method sets this property.
        `value` - The method sets the property to this value.
      Throws:
        `FTLException`

    - #### set

          void set(java.lang.String name,
                   long value)
            throws FTLException

      Set a long integer property.
      Parameters:
        `name` - The method sets this property.
        `value` - The method sets the property to this value.
      Throws:
        `FTLException`

    - #### set

          void set(java.lang.String name,
                   double value)
            throws FTLException

      Set a double property.
      Parameters:
        `name` - The method sets this property.
        `value` - The method sets the property to this value.
      Throws:
        `FTLException`

    - #### getBoolean

          boolean getBoolean(java.lang.String name)
                      throws FTLException

      Get a boolean property.

      Return the boolean value of property `name`.

      Parameters:
        `name` - The method gets the value of this property.
      Returns:
        a boolean property value
      Throws:
        `FTLException`

    - #### getString

          java.lang.String getString(java.lang.String name)
                              throws FTLException

      Get a string property.

      Return the string value of property `name`.

      Parameters:
        `name` - The method gets the value of this property.
      Returns:
        a string property value
      Throws:
        `FTLException`

    - #### getMessage

          Message getMessage(java.lang.String name)
                      throws FTLException

      Get a Message property.

      Return the Message value of property `name`.

      Parameters:
        `name` - The method gets the value of this property.
      Returns:
        a Message property value
      Throws:
        `FTLException`

    - #### getInt

          int getInt(java.lang.String name)
              throws FTLException

      Get an integer property.

      Return the integer value of property `name`.

      Parameters:
        `name` - The method gets the value of this property.
      Returns:
        an integer property value
      Throws:
        `FTLException`

    - #### getLong

          long getLong(java.lang.String name)
                throws FTLException

      Get a long integer property.

      Return the long integer value of property `name`.

      Parameters:
        `name` - The method gets the value of this property.
      Returns:
        a long integer property value
      Throws:
        `FTLException`

    - #### getDouble

          double getDouble(java.lang.String name)
                    throws FTLException

      Get a double integer property.

      Return the double integer value of property `name`.

      Parameters:
        `name` - The method gets the value of this property.
      Returns:
        a double integer property value
      Throws:
        `FTLException`

    - #### remove

          boolean remove(java.lang.String name)
                  throws FTLException

      Remove the property `name` from properties.
      Parameters:
        `name` - The method removes this property.
      Returns:
        true indicates the call removed the property; false indicates the property did not exist.
      Throws:
        `FTLException`

    - #### exists

          boolean exists(java.lang.String name)

      Check whether a property exists.
      Parameters:
        `name` - The method checks for this property.
      Returns:
        true if the property exists, false otherwise

    - #### destroy

          void destroy()

      Destroy the properties object.

      An application can destroy a properties object to reclaim its resources. Destroying a properties object does not invalidate objects created with it. (For example, the queue creation call copies property values into the new queue.)

    - #### setOAuth2TokenFetchHandler

          void setOAuth2TokenFetchHandler(OAuth2TokenFetchHandler handler)
                                   throws FTLException

      set the oauth2 token fetch handler.
      Throws:
        `FTLException`